Name:           python-dbus-fast
Version:        2.44.1
Release:        %autorelease
Summary:        A faster version of dbus-next
License:        MIT
URL:            https://github.com/bluetooth-devices/dbus-fast
Source:         %{pypi_source dbus_fast}

BuildRequires:  python3-devel
BuildRequires:  gcc


%global _description %{expand:
dbus-fast is a Python library for DBus that aims to be a performant fully
featured high level library primarily geared towards integration of
applications into Linux desktop and mobile environments.}

%description %_description


%package -n     python3-dbus-fast
Summary:        %{summary}

%description -n python3-dbus-fast %_description


%prep
%autosetup -p1 -n dbus_fast-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L dbus_fast


%check
# Upstream repository has a tests directory using pytest. Unfortunately it is
# not shipped in the PyPI tarball, so we can't run the tests here.
%pyproject_check_import


%files -n python3-dbus-fast -f %{pyproject_files}
%license LICENSE


%changelog
%autochangelog
